Skip to main content
GET
/
api
/
kb
/
documents
List documents
curl --request GET \
  --url https://api.morphic.io/api/kb/documents \
  --header 'X-API-Key: <api-key>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "type": "<string>",
      "title": "<string>",
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "content": {},
      "content_markdown": "<string>",
      "visibility": "private",
      "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "position": 0,
      "children_count": 123
    }
  ],
  "total": 123,
  "page": 123,
  "page_size": 123,
  "pages": 123
}

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Query Parameters

search
string | null

Search in title and content

visibility
string | null

Filter by visibility

parent_id
string<uuid> | null

Omit or null = root only; uuid = direct children of that folder

type
string | null

Filter by type: 'folder' or 'page'

page
integer
default:1
Required range: x >= 1
page_size
integer
default:100
Required range: 1 <= x <= 1000

Response

Successful Response

items
KBDocument · object[]
required
total
integer
required
page
integer
required
page_size
integer
required
pages
integer
required